Review questionnaire free text
Approve or reject the held "Other" texts of one response. Picked options count either way.
Approve or reject the held "Other" texts of one response. Picked options count either way.
Authorization
adminApiKey AuthorizationBearer <token>
Admin API key in format: Authorization: Bearer <ADMIN_API_KEY>
In: header
Path Parameters
id*string
Questionnaire id
responseId*string
Response id
Request Body
application/json
actor*string
Who performs the change: team (Bernd) or agent (AI agent; posts get an AI label).
Value in
"team" | "agent"action*string
approve: show the "Other" texts to members. reject: hide them. Picked options count either way.
Value in
"approve" | "reject"reason?|
Length
length <= 500Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://brewforge.sh/api/v1/admin/feedback/questionnaires/string/responses/string" \ -H "Content-Type: application/json" \ -d '{ "actor": "team", "action": "approve" }'{
"moderationStatus": "published",
"id": "string"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}